String clazzTpl({package}) => """
#!/bin/bash

# ################# cfg ##################
# yaml dev 配置:
# dev_dependencies:
#   source_gen: ^1.0.0
#   build_runner: ^1.12.2
#   xanno: ^0.0.5+5
#
# 项目根目录执行命令:
# flutter pub get && flutter packages pub run build_runner build && flutter pub get
#
# 授权 chmod +x build.sh
# 之后只需执行 ./build.sh
# ################# cfg ##################

if [[ \$1 == '-h' || \$1 == '-help' ]]; then
  printf "\\t %s \\n" "已实现下列功能："
  printf "\\t\\t %s \\n" "1:@GApi注解"
  printf "\\t\\t %s \\n" "2:@GAssets注解"
  printf "\\t\\t %s \\n" "3:@GColor注解"
  printf "\\t\\t %s \\n" "4:@GEntity注解"
  printf "\\t\\t %s \\n" "5:@GFormatter注解"
  printf "\\t\\t %s \\n" "6:@GHttp注解"
  printf "\\t\\t %s \\n" "7:@GIconFont注解"
  printf "\\t\\t %s \\n" "8:@GProject注解"
  printf "\\t\\t %s \\n" "9:@GRoute注解"
  printf "\\t\\t %s \\n" "10:@GSize注解"
else
  echo "生成和优化代码，请等待..."
  flutter pub get
  pub global activate dart_style >/dev/null 2>&1
  flutter packages pub run build_runner build --delete-conflicting-outputs
  flutter pub get
fi
""";
