import 'package:xanno/src/anno/utils/base.dart';

class GProject extends GBase {
  final bool enable;

  /// ```dart
  /// enable 是否启用初始化基础工程
  ///
  /// yaml dev 配置:
  /// dev_dependencies:
  ///   source_gen: ^1.0.0
  ///   build_runner: ^1.12.2
  ///   xanno: ^0.0.5+5
  ///
  /// 项目根目录执行命令:
  /// flutter pub get && flutter packages pub run build_runner build && flutter pub get
  ///
  /// 授权 chmod +x build.sh
  /// 之后只需执行 ./build.sh
  /// ```
  const GProject({this.enable = true}) : super();
}
